Skip to main content
POST
/
api
/
v0
/
webhooks
/
{id}
/
rotate-secret
/
rotate notification webhook secret
curl --request POST \
  --url https://console.vast.ai/api/v0/webhooks/{id}/rotate-secret/ \
  --header 'Authorization: Bearer <token>'
{
  "success": true,
  "webhook": {
    "id": 42,
    "user_id": 123,
    "name": "Ops notifications",
    "webhook_url": "https://example.com/vast/webhooks",
    "event_types": [
      "client:low_credit",
      "host:machine_offline"
    ],
    "created_at": 1772490000,
    "updated_at": 1772490000,
    "webhook_secret": "<WEBHOOK_SECRET>"
  }
}

Authorizations

Authorization
string
header
required

API key must be provided in the Authorization header

Path Parameters

id
integer
required

Webhook ID.

Response

Webhook secret rotated successfully

success
boolean
Example:

true

webhook
object